<bugID>925784<Summary>Break on DOM events for browser debugging</Summary><Description>Break-on-DOM-events was implemented for content debugging only as the chrome debugger doesn't currently have the concept of a "current" window. Since the low-level APIs work with chrome code as well (as I've been told) it would be nice to make it work somehow.

The easiest approach would probably be to just use the most recent browser window as the inspection target, but complications arise when multiple windows are open and the user switches between them. Another approach would be to just consider the listeners in all open windows, which wouldn't have the previous problem, but would require some refactoring (which might be required anyway for bug 895446). Finally, one could also imagine a UI that gave the user the option to select the debugging target among the open windows.</Description></bugID>